<h2><?=$this->transEsc('Similar Items')?></h2>
<?php $similarRecords = $this->tab->getResults(); ?>
<?php if (!empty($similarRecords)): ?>
  <?php $perPage = 4 ?>
  <div id="similar-items-carousel" class="carousel slide" data-ride="carousel">
    <!-- Indicators -->
    <ol class="carousel-indicators">
      <li data-target="#similar-items-carousel" data-slide-to="0" class="active"></li>
      <?php for($i = 1;$i < count($similarRecords) / $perPage;$i++): ?>
        <li data-target="#similar-items-carousel" data-slide-to="<?=$i ?>"></li>
      <?php endfor; ?>
    </ol>

    <!-- Wrapper for slides -->
    <div class="carousel-inner">
      <div class="item active">
        <?php foreach ($similarRecords as $index => $data): ?>
          <div class="carousel-item">
            <a class="hover-overlay record-cover-link" href="<?=$this->escapeHtmlAttr($this->recordLinker()->getUrl($data))?>">
              <?=$this->record($data)->getCoverDetails('similar-items', 'large')['html']?>
              <div class="content">
                <?php
                  $formats = $data->getFormats();
                  $format = $formats[0] ?? null;
                  $icon = $format
                    ? preg_replace('/[^a-z0-9]/', '', strtolower($format))
                    : 'default';
                ?>
                <?=$this->icon('format-' . $icon, $format ? ['title' => $format] : []) ?>
                <b><?=$this->escapeHtml($data->getTitle())?></b>
                <?php $authors = $data->getPrimaryAuthors(); ?>
                <?php if (!empty($authors)): ?>
                  <br><?=$this->transEsc('by')?>: <?=$this->escapeHtml($authors[0]);?><?php if (count($authors) > 1): ?>, <?=$this->transEsc('more_authors_abbrev')?><?php endif; ?>
                <?php endif; ?>
                <?php $pubDates = $data->getPublicationDates(); ?>
                <?php if (!empty($pubDates)): ?>
                  <br><?=$this->transEsc('Published')?>: (<?=$this->escapeHtml($pubDates[0])?>)
                <?php endif; ?>
              </div>
            </a>
          </div>
          <?php if (($index + 1) % $perPage == 0 && $index < count($similarRecords) - 1): ?>
      </div>
      <div class="item">
          <?php endif; ?>
        <?php endforeach; ?>
      </div>
    </div>

    <!-- Controls -->
    <a class="left carousel-control" href="#similar-items-carousel" role="button" data-slide="prev">
      <?=$this->icon('page-prev') ?>
      <span class="sr-only"><?=$this->transEscAttr('Prev') ?></span>
    </a>
    <a class="right carousel-control" href="#similar-items-carousel" role="button" data-slide="next">
      <span class="sr-only"><?=$this->transEscAttr('Next') ?></span>
      <?=$this->icon('page-next') ?>
    </a>
  </div>
<?php else: ?>
  <p><?=$this->transEsc('Cannot find similar records')?></p>
<?php endif; ?>
<?php
  $script = $this->config()->ajaxCoversEnabled() ? "loadCovers();\n" : '';
  $script .= <<<JS
      var normalizeHeightCount = $('#similar-items-carousel img').length;
      function normalizeHeights() {
        if (--normalizeHeightCount > 0) return;
        var tallest = 0;
        var items = $('#similar-items-carousel .hover-overlay');
        items.each(function() { //add heights to array
          if (tallest < $(this).height()) {
            tallest = $(this).height();
          }
        });
        items.css('min-height', (tallest+25) + 'px');
      }
      $('#similar-items-carousel img').on('load', normalizeHeights);
      JS;
?>
<?=$this->inlineScript(\Laminas\View\Helper\HeadScript::SCRIPT, $script, 'SET') ?>
